#!/bin/sh

echo "Enabling system wide tracing..."

#Check for the environment
if [ ! $PVRHUB_DIR ]; then
	echo "PVRHUB_DIR is NOT set. Have you sourced the envsetup.sh script?"	
	return
fi

#Set the trace envrionment
export LD_LIBRARY_PATH=$PVRHUB_DIR/PVRTrace/Recorder/:$LD_LIBRARY_PATH

#Print out the trace configuration
echo "
    PVRTrace configuration:"
sed -n "s,\"EglLibraryPath\":,        EglLibraryPath set to ,p" < $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
sed -n "s,\"Es1LibraryPath\":,        Es1LibraryPath set to ,p" < $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
sed -n "s,\"Es2LibraryPath\":,        Es2LibraryPath set to ,p" < $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
sed -n "s,\"Es3LibraryPath\":,        Es3LibraryPath set to ,p" < $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json
sed -n "s,\"OutputFilename\":,        OutputFilename set to ,p" < $PVRHUB_DIR/PVRTrace/Recorder/pvrtraceconfig.json

echo "
    NOTE: pvrtrace.cfg can be edited with any text editor."
